diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_user.c ircd-hybrid-6.0/src/s_user.c
--- ircd-hybrid-6.0.orig/src/s_user.c	Wed Jun 20 16:40:12 2001
+++ ircd-hybrid-6.0/src/s_user.c	Wed Jun 20 16:39:59 2001
@@ -2041,6 +2041,10 @@
 				    *(m2++) = *m; /* remove the umodes the originators's O:line doesn't allow them to have */
 				    /* But add them to the target's allowed umodes */
 				    SetBit(acptr->allowed_umodes, mode);
+				    sendto_ops_flag(UMODE_SERVNOTICE, "%s has bestowed the power of +%c onto %s",
+						    sptr->name, acptr->name, *m);
+				    log(L_NOTICE, "%s has bestowed the power of +%c onto %s",
+					sptr->name, acptr->name, *m);
 				  }
 				else if ((what == MODE_DEL) && !IsAnOper(acptr))
 				  {
@@ -2048,7 +2052,13 @@
 				     *  if it is not in user_umodes
 				     */
 				    if (!TestBit(user_umodes, mode))
-				      ClearBit(acptr->allowed_umodes, mode);
+				      {
+					ClearBit(acptr->allowed_umodes, mode);
+					sendto_ops_flag(UMODE_SERVNOTICE, "%s has stripped %s of the power of +%c",
+							sptr->name, acptr->name, *m);
+					log(L_NOTICE, "%s has stripped %s of the power of +%c",
+					    sptr->name, acptr->name, *m);
+				      }
 				  }
 			      }
 			    else
